Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.struct
Class LpStructureUnitTestUtils

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              lp.struct.LpStructureUnitTestUtils

All Implemented Interfaces:
  Test

Direct Known Subclasses:
  LpAtomTest, LpCompoundTermTest, LpConstantTest, LpFunctionTest, LpLiteralTest, LpPredicateTest, LpRuleTest, LpVariableTest

    public class LpStructureUnitTestUtils

extends TestCase

Contains utility methods for testing common methods of classes in the package `lp.struct`.

Version:
  1.0.0
Author:
  Martin Slota
See Also:
  `LpStructureUnit`

Constructor Summary
`protected` | `LpStructureUnitTestUtils(String testName)` A default test case constructor.

Method Summary
`protected void` | `testToString(String expected, LpStructureUnit unit)` Tests the `LpAbstractStructureUnit.toString()` method for `unit`.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LpStructureUnitTestUtils

    protected LpStructureUnitTestUtils(String testName)

  A default test case constructor.

  Parameters:
    `testName` - the name of the test case

Method Detail

### testToString

    protected void testToString(String expected,
                                LpStructureUnit unit)

  Tests the `LpAbstractStructureUnit.toString()` method for `unit`.

  Parameters:
    `expected` - the expected result of `unit.toString()`.
    `unit` - the tested `LpStructureUnit`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD